/**
 * Copyright (c) 2023, WSO2 LLC. (https://www.wso2.com).
 *
 * WSO2 LLC. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.wso2.openbanking.accelerator.data.publisher.common.constants;

/**
 * Class containing the constants for Open Banking Data Publishing module.
 */
public class DataPublishingConstants {

    public static final String DATA_PUBLISHING_USERNAME = "DataPublishing.Username";
    public static final String DATA_PUBLISHING_PASSWORD = "DataPublishing.Password";
    public static final String DATA_PUBLISHING_SERVER_URL = "DataPublishing.ServerURL";
    public static final String DATA_PUBLISHING_AUTH_URL = "DataPublishing.AuthURL";
    public static final String DATA_PUBLISHING_POOL_SIZE = "DataPublishing.PoolSize";
    public static final String DATA_PUBLISHING_POOL_WAIT_TIME = "DataPublishing.PoolWaitTimeMs";
    public static final String DATA_PUBLISHING_PROTOCOL = "DataPublishing.Protocol";
    public static final String DATA_PUBLISHING_ENABLED = "DataPublishing.Enabled";
    public static final String ELK_ANALYTICS_ENABLED = "ELKAnalytics.Enabled";
    public static final String APIM_ANALYTICS_ENABLED = "APIMAnalytics.Enabled";
    public static final String QUEUE_SIZE = "DataPublishing.QueueSize";
    public static final String WORKER_THREAD_COUNT = "DataPublishing.WorkerThreadCount";
    public static final String THRIFT_PUBLISHING_TIMEOUT = "DataPublishing.Thrift.PublishingTimeout";
    public static final String LOG_FILE_NAME = "OB_LOG";

}
